#
# spec file for package perl-MooseX-TransactionalMethods
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-TransactionalMethods
Version:        0.009
Release:        bp155.2.8
%define cpan_name MooseX-TransactionalMethods
Summary:        Syntax sugar for transactional methods
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-TransactionalMethods/
Source0:        https://cpan.metacpan.org/authors/id/M/MJ/MJG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moose) >= 1.21
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(aliased)
Requires:       perl(Moose) >= 1.21
Requires:       perl(Sub::Name)
Requires:       perl(aliased)
%{perl_requires}

%description
This method exports the "transactional" declarator that will enclose the
method in a txn_do call.

%prep
%setup -q -n %{cpan_name}-%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.009
  see /usr/share/doc/packages/perl-MooseX-TransactionalMethods/Changes
* Sun Dec 25 2011 coolo@suse.com
- initial package 0.008
  * created by cpanspec 1.78.06
